
kerio.waw.ui.httpRuleRatingEditor = {

x_m: function(x_n) {
var
x_5o,
x_3l,
x_10,
x_16,
x_2w,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
this.x_ga = x_n; x_2w = this.x_ga + '_';
x_5o = {
x_cp: 'category',
x_5p: x_o,
x_5x: {
x_d2: false,
x_nh: {
x_7s: 'group',
x_ni: true,
x_x2: true
},
x_1e: [
{	x_7s: 'group',
x_gn: true,
x_na: function(x_1o) {
return {
x_47: x_1o
};
}
},
{	x_7s: 'category',
x_23: x_x('Category', 'httpRuleEditor'),
x_ed: {	x_1f: 'x_1q',
x_7s: 'enabled'
}
},
{	x_7s: 'id',
x_7t  : true
},
{	x_7s: 'enabled' ,
x_7t  : true
}
]
}
};x_3l = new x_1b.x_4g(x_2w + 'x_3l', x_5o);
x_10 = {
x_1u: 450,
x_l0: 450,
x_1v: 450,
x_l1: 450,
x_1y: x_x('HTTP Rule - Page rating categories', 'httpRuleEditor'),
x_1x: x_3l,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
} };x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_16.x_27(
{	x_3l: x_3l,
x_o5: {},
x_2p: {}
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28){
var
x_3l = this.x_3l,
x_yf = x_28.x_47.urlCondition.pageRating,
x_yg = [],
x_yh = [],
x_yi = '',
x_41, x_42,
x_yj,
x_yk,
x_vy;
this.x_o5 = x_28.x_47;
this.x_2p = x_28.x_2p;
x_yj = x_fa.x_b0('x_yl');
for (x_41 = 0, x_42 = x_yf.length; x_41 < x_42; x_41++) {
x_yg[x_yf[x_41]] = true;
}
for (x_41 = 0, x_42 = x_yj.length; x_41 < x_42; x_41++) {
x_yk = x_yj[x_41];
if (x_yg[x_yk.id]) {
x_yk.enabled = true;
x_vy = x_yk.group;
if (x_vy !== x_yi) {
x_yh.push(x_vy);
x_yi = x_vy;
}
} } x_3l.x_7k(x_yj);
x_3l.x_xj(false);
if (0 !== x_yh.length) {
x_3l.x_ym(x_yh, true);
}
};
x_2b.x_iy = function() {
var
x_yf = [],
x_41, x_42,
x_yk,
x_yj;
x_yj = this.x_3l.x_7i();
for (x_41 = 0, x_42 = x_yj.length; x_41 < x_42; x_41++) {
x_yk = x_yj[x_41];
if (true === x_yk.enabled) {
x_yf.push(x_yk.id);
}
}
this.x_o5.urlCondition.pageRating = x_yf;
this.x_2r();
};
x_2b.x_jo = function() {
this.x_3l.x_d6();
};}}; 